#### getdirs Procedure ¶

Returns a list of all the subdirectories in a single directory that match a glob pattern. If no directories match the pattern, then an empty list is returned.

This procedure is specialized as a search for tests in testsuites: `getdirs` ignores directories named ‘`testsuite`’, ‘`config`’, or ‘`lib`’, and also ignores directories associated with a few revision control systems, specifically Git (‘`.git`’), Subversion (‘`.svn`’), CVS (‘`CVS`’), RCS (‘`RCS`’), and SCCS (‘`SCCS`’). These ignored directories will not appear in the returned list, nor will they be examined in a recursive search.

> `getdirs -all rootdir pattern`

`-all`

  If this option is given, then subdirectories will be matched recursively.

`rootdir`

  The top level directory to start the search from.

`pattern`

  The Tcl glob pattern to match. If you do not specify `pattern`, `getdirs` uses a default pattern of `*`.